-- --------------------------------------------------------

--
--   `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `id` int(11) NOT NULL auto_increment,
  `ref` int(11) NOT NULL,
  `name` varchar(60) NOT NULL,
  `text` varchar(200) NOT NULL,
  `time` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `login` varchar(20) NOT NULL,
  `mod` smallint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups`
--


-- --------------------------------------------------------

--
--   `groups_cat`
--

CREATE TABLE IF NOT EXISTS `groups_cat` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(60) NOT NULL,
  `text` varchar(200) NOT NULL,
  `prior` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups_cat`
--


-- --------------------------------------------------------

--
--   `groups_forum_cat`
--

CREATE TABLE IF NOT EXISTS `groups_forum_cat` (
  `id` int(11) NOT NULL auto_increment,
  `ref` int(16) NOT NULL,
  `name` varchar(60) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups_forum_cat`
--


-- --------------------------------------------------------

--
--   `groups_forum_post`
--

CREATE TABLE IF NOT EXISTS `groups_forum_post` (
  `id` int(11) NOT NULL auto_increment,
  `rg` int(11) NOT NULL,
  `razdel` int(16) NOT NULL,
  `ref_dir` int(16) NOT NULL,
  `uid` int(16) NOT NULL,
  `from` varchar(30) NOT NULL,
  `name` varchar(60) NOT NULL,
  `text` varchar(100) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups_forum_post`
--


-- --------------------------------------------------------

--
--   `groups_forum_them`
--

CREATE TABLE IF NOT EXISTS `groups_forum_them` (
  `id` int(11) NOT NULL auto_increment,
  `rg` int(11) NOT NULL,
  `ref_dir` int(16) NOT NULL,
  `uid` int(16) NOT NULL,
  `from` varchar(30) NOT NULL,
  `name` varchar(60) NOT NULL,
  `text` varchar(100) NOT NULL,
  `close` smallint(1) NOT NULL,
  `prior` smallint(1) NOT NULL,
  `time` int(11) NOT NULL,
  `times` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups_forum_them`
--


-- --------------------------------------------------------

--
--   `groups_users`
--

CREATE TABLE IF NOT EXISTS `groups_users` (
  `id` int(11) NOT NULL auto_increment,
  `ref` int(11) NOT NULL,
  `uid` varchar(60) NOT NULL,
  `level` smallint(1) NOT NULL default '1',
  `login` varchar(200) NOT NULL,
  `time` int(11) NOT NULL,
  `mod` smallint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
--    `groups_users`
--


-- --------------------------------------------------------